default: run

run:
	@docker run \
  -p 8080:8080 \
  -v $$(pwd)/coco-3.11:/opt/keycloak/themes/coco-3.11-theme \
  -e KEYCLOAK_ADMIN=admin \
  -e KEYCLOAK_ADMIN_PASSWORD=admin \
	--name keycloakdev \
  keycloak/keycloak:20.0.1 \
	start-dev \
	--spi-theme-static-max-age=-1 \
	--spi-theme-cache-themes=false \
	--spi-theme-cache-templates=false \

shell:
	@docker exec -it keycloakdev /bin/bash

stop:
	@docker stop keycloakdev && docker rm keycloakdev
